'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

var _DescriptionList = require('ant-design-pro/lib/DescriptionList');

var _DescriptionList2 = _interopRequireDefault(_DescriptionList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var Description = _DescriptionList2['default'].Description;

var FormCoreFormsList = function (_Component) {
  (0, _inherits3['default'])(FormCoreFormsList, _Component);

  function FormCoreFormsList() {
    var _temp, _this, _ret;

    (0, _classCallCheck3['default'])(this, FormCoreFormsList);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3['default'])(this, _Component.call.apply(_Component, [this].concat(args))), _this), _this.state = {
      loading: true,
      forms: []
    }, _this.fetch = function () {
      _this.setState({
        loading: true
      });
      _this.props.fetch(function (data) {
        _this.setState({
          loading: false,
          forms: data
        });
      });
    }, _temp), (0, _possibleConstructorReturn3['default'])(_this, _ret);
  }

  FormCoreFormsList.prototype.componentDidMount = function componentDidMount() {
    this.fetch();
  };

  FormCoreFormsList.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    var location = nextProps.location;
    var rawLocation = this.props.location;


    if (location.pathname !== rawLocation.pathname) {
      this.fetch();
    }
  };

  FormCoreFormsList.prototype.render = function render() {
    var _this2 = this;

    var _state = this.state,
        loading = _state.loading,
        forms = _state.forms;

    return _react2['default'].createElement(
      _antd.Card,
      {
        className: 'formcore-card-button-fix',
        style: { marginBottom: 24 },
        title: 'Product Offers',
        bordered: false,
        extra: this.props.newFormButton,
        loading: loading
      },
      _react2['default'].createElement(
        _DescriptionList2['default'],
        { size: 'large' },
        forms && forms.length > 0 ? forms.map(function (x) {
          return _react2['default'].createElement(
            Description,
            { key: x.Id },
            _this2.props.formLink(x)
          );
        }) : _react2['default'].createElement(
          'div',
          { className: 'ant-list-empty-text', style: { paddingBottom: 32 } },
          'No data'
        )
      )
    );
  };

  return FormCoreFormsList;
}(_react.Component);

exports['default'] = FormCoreFormsList;
module.exports = exports['default'];